Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control
Class AbstractDBListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.enterprise.control.AbstractDBListener

All Implemented Interfaces:
  EventListener, WebListener

    public abstract class AbstractDBListener

extends AbstractListener

The class listens to the get request against iso 19115 formated metadata here the result shall be returned in full format

---------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Constructor Summary
`AbstractDBListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)` This method is called either to search for metadata or to lookup keywords from the thesaurus
`protected abstract HashMap` | `createRequest(RPCWebEvent rpcEvent)` creates a request from the `RPCWebEvent` passed to this listener
`protected abstract void` | `handleResult(Object result)` handles the result of a 'FULL' catalog query
`protected abstract HashMap` | `performRequest(RPCWebEvent event)` performs the request contained in the passed `RPCWebEvent`
`protected abstract void` | `validateRequest(RPCWebEvent event)` validates the request to be performed.
`protected abstract Object` | `validateResult(HashMap result)` validates the result of the catalog request and returns an `Object` depending on the results content.

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setInitParameterList, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDBListener

    public AbstractDBListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  This method is called either to search for metadata or to lookup keywords from the thesaurus

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`

### validateRequest

    protected abstract void validateRequest(RPCWebEvent event)
                                     throws PortalException

  validates the request to be performed.

  Parameters:
    `event` - event object containing the request to be performed
  Throws:
    `PortalException`

### createRequest

    protected abstract HashMap createRequest(RPCWebEvent rpcEvent)
                                      throws PortalException

  creates a request from the `RPCWebEvent` passed to this listener

  Parameters:
    `rpcEvent` - event object containing the request to be performed
  Returns:
    string representation of a request
  Throws:
    `PortalException` - will be throwns if it is impossible to create the request

### performRequest

    protected abstract HashMap performRequest(RPCWebEvent event)
                                       throws PortalException

  performs the request contained in the passed `RPCWebEvent`

  Parameters:
    `event` - event object containing the request to be performed
  Returns:
    result of the GetRecord request
  Throws:
    `PortalException`

### validateResult

    protected abstract Object validateResult(HashMap result)
                                      throws PortalException

  validates the result of the catalog request and returns an `Object` depending on the results content.

  Parameters:
    `result` - result to a request
  Returns:
    validated result to a request
  Throws:
    `PortalException`

### handleResult

    protected abstract void handleResult(Object result)
                                  throws PortalException

  handles the result of a 'FULL' catalog query

  Parameters:
    `result` - result to a GetRecord request
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org